<?php

namespace Saswp\Api\Quote;
use Saswp\Api;
use Saswp\Settings;
use WP_REST_Request;

class QuoteStoreController
{
    private Api $api;
    private Settings $settings;
    private $apiUrl = "/api/quotes/store";

    public function __construct(){
        $this->api = new Api();
        $this->settings = new Settings();
    }
    public function __invoke(WP_REST_Request $wpRestRequest):array
    {
        $_params = $wpRestRequest->get_params() ?? [];
        
        $this->api
            ->setApiUrl($this->settings->getFullUrl())
            ->setApiUrlPath($this->apiUrl)
            ->setApiMethod("POST")
            ->setRequestData($_params)
            ->setApiToken($this->settings->get("sas_api_token", ''))
            ->doRequest();


        return $this->api->getResult();
    }


}
